libzypp 17.37.10

Transaction.cc File Reference
`#include <solv/transaction.h>`
`#include <solv/solver.h>`
`#include <iostream>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/SerialNumber.h>`
`#include <zypp-core/base/DefaultIntegral>`
`#include <zypp/base/NonCopyable.h>`
`#include <zypp/base/Hash.h>`
`#include <zypp/sat/detail/PoolImpl.h>`
`#include <zypp/sat/Transaction.h>`
`#include <zypp/sat/Solvable.h>`
`#include <zypp/sat/Queue.h>`
`#include <zypp/sat/Map.h>`
`#include <zypp/ResPool.h>`

Go to the source code of this file.

## Classes
struct | zypp::sat::Transaction::Impl
| Transaction implementation. More...
struct | zypp::sat::Transaction::Impl::PostMortem

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat
namespace | zypp::sat::detail

## Macros
#define | OUTS(E, S)

## Functions
std::ostream & | zypp::sat::operator<< (std::ostream &str, const Transaction &obj)
std::ostream & | zypp::sat::dumpOn (std::ostream &str, const Transaction &obj)
bool | zypp::sat::operator== (const Transaction &lhs, const Transaction &rhs)
std::ostream & | zypp::sat::operator<< (std::ostream &str, const Transaction::Step &obj)
std::ostream & | zypp::sat::operator<< (std::ostream &str, Transaction::StepType obj)
std::ostream & | zypp::sat::operator<< (std::ostream &str, Transaction::StepStage obj)

## Macro Definition Documentation

## ◆ OUTS [1/2]

#define OUTS | ( |  | E,
|  |  | S )

Value:
case Transaction::E: return str << #S; break
str
String related utilities and Regular expression matching.

## ◆ OUTS [2/2]

#define OUTS | ( |  | E,
|  |  | S )

Value:
case Transaction::E: return str << #S; break